#
# spec file for package editra
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           editra
Version:        0.7.20
Release:        1.4
Summary:        A developer's text editor
Group:          Editors
License:        GPL-2.0+
Url:            http://editra.org/
Source:         http://editra.org/uploads/src/Editra-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-wxWidgets
BuildRequires:  python-wxWidgets-devel
BuildRequires:  python-xml
Requires:       python-wxWidgets
Requires:       python-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
Editra is a cross-platform text editor with an implementation that
focuses on creating an easy to use interface and features that aid
in code development. Currently it supports syntax highlighting and
variety of other useful features for over 60 programming languages.

%prep
%setup -qn Editra-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%{python_sitearch}
chmod a+r %{buildroot}%{python_sitearch}/*/*
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Editra
MimeType=text/plain;
GenericName=Editra
GenericName[es]=Editra
Comment=Text Editor
Comment[es]=Editor de Texto
Exec=editra
Icon=/%{python_sitearch}/Editra/pixmaps/editra.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;TextEditor;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/Editra-%{version}-py*.egg-info
%{python_sitearch}/Editra/

%changelog
* Sat May 10 2014 mailaender@opensuse.org
- Adapted for SUSE
* Sun Mar 24 2013 huaren.zhong@gmail.com
- Rebuild for Fedora
  Sat Sep  8 00:00:00 UTC 2012 - vaci0 <vaci0> 0.7.12-1.mga3
  + Revision: 289698
-Updated to version 0.7.12
  Sat Aug  4 00:00:00 UTC 2012 - vaci0 <vaci0> 0.7.08-2.mga3
  + Revision: 278405
- Fixed Categories Development in .desktop file
  Sat Jul 28 00:00:00 UTC 2012 - vaci0 <vaci0> 0.7.08-1.mga3
  + Revision: 275113
- Updated to 0.7.08 version
- Removed obsolete defattr call in %%%%files
- Simplified file instalation with one line for all files in %%%%files.
  Tue Jul 10 00:00:00 UTC 2012 - juancho <juancho> 0.7.01-1.mga3
  + Revision: 269184
- Added back BR wxPythonGTK
- Changed macro %%%%{python_sitelib} for %%%%{python_sitearch} so it builds on x86_64
- Removed all .mo individual entries in %%%%files for a generic one for all of them
- Renamed spec to lower case
- Renamed to lower case
  + vaci0 <vaci0>
  - Fix BuildRequires
  - Fix path to icon in .desktop
  - Fix name in lowercase
  - imported package Editra
